=== debian/changelog ===
ros-noetic-rviz-tool-cursor (1.0.1-1focal) focal; urgency=high

  * Added install of icons directory (#21 <https://github.com/marip8/rviz_tool_cursor/issues/21>)
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Mon, 23 Jan 2023 06:00:00 -0000

ros-noetic-rviz-tool-cursor (1.0.0-1focal) focal; urgency=high

  * Functionality Update (#20 <https://github.com/marip8/rviz_tool_cursor/issues/20>)
    * Simplified polymorphism interface
    * Added base class plugin implementation; updated shortcuts; added icons
    * Updated colorization of mesh and circle tool cursors
    * Updated tool cursor to display selection points and lines and to publish pose array of selection poses
    * Moved image to docs directory
    * Removed getObjectName function
    * Updated documentation
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Thu, 25 Aug 2022 05:00:00 -0000

ros-noetic-rviz-tool-cursor (0.1.4-1focal) focal; urgency=high

  * CI and Formatting Updates (#19 <https://github.com/marip8/rviz_tool_cursor/issues/19>)
    * Added formatting files and scripts
    * Ran clang formatting
    * Ran CMake formatting
    * Added formatting CI jobs
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Thu, 25 Aug 2022 05:00:00 -0000

ros-noetic-rviz-tool-cursor (0.1.3-1focal) focal; urgency=high

  * Updated package.xml
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Thu, 25 Aug 2022 05:00:00 -0000
